# POOL

```
int GET_MAX_PEDS()
int GET_MAX_VEHICLES()
int GET_MAX_OBJECTS()
int GET_PED_COUNT()
int GET_VEHICLE_COUNT()
int GET_OBJECT_COUNT()
Ped GET_PED_AT_INDEX(int index)
Vehicle GET_VEHICLE_AT_INDEX(int index)
Object GET_OBJECT_AT_INDEX(int index)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/pool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
